name: Build
on:
  - push
  - pull_request

# schedule:
  # - cron: '0 21 * * 0'

jobs:
  build:
    runs-on: ubuntu

    steps:
      - uses: actions/checkout@v3

      - name: Set up Python 3.10
        uses: actions/setup-python@v3
        with:
          python-version: "3.10.12"

      - name: Install dependencies
        run: |
          python -m pip install --upgrade pip
          pip install -U -r requirements.txt

      - name: Build and deploy
        run: |
          pip install mkdocs-material==7.1.9
          mkdocs build
          cp -r site/ $GITHUB_WORKSPACE/site
          chmod -R 777 $GITHUB_WORKSPACE/site

      - name: Upload built site
        uses: actions/upload-artifact@v2
        with:
          name: built-site
          path: $GITHUB_WORKSPACE/site